# Uses of Class
org.opensaml.saml.metadata.resolver.impl.AbstractDynamicMetadataResolver.EntityManagementData

Packages that use AbstractDynamicMetadataResolver.EntityManagementData
Package
Description
org.opensaml.saml.metadata.resolver.impl
Classes for retrieving, filtering, and querying metadata.

## Uses of AbstractDynamicMetadataResolver.EntityManagementData in org.opensaml.saml.metadata.resolver.impl

Fields in org.opensaml.saml.metadata.resolver.impl with type parameters of type AbstractDynamicMetadataResolver.EntityManagementData
Modifier and Type
Field
Description
`private Map<String,AbstractDynamicMetadataResolver.EntityManagementData>`
AbstractDynamicMetadataResolver.DynamicEntityBackingStore.`mgmtDataMap`
Map holding management data for each entityID.
Methods in org.opensaml.saml.metadata.resolver.impl that return AbstractDynamicMetadataResolver.EntityManagementData
Modifier and Type
Method
Description
`AbstractDynamicMetadataResolver.EntityManagementData`
AbstractDynamicMetadataResolver.DynamicEntityBackingStore.`getManagementData(String entityID)`
Get the management data for the specified entityID.
Methods in org.opensaml.saml.metadata.resolver.impl with parameters of type AbstractDynamicMetadataResolver.EntityManagementData
Modifier and Type
Method
Description
`private boolean`
AbstractDynamicMetadataResolver.BackingStoreCleanupSweeper.`isRemoveData(AbstractDynamicMetadataResolver.EntityManagementData mgmtData, Instant now, Instant earliestValidLastAccessed)`
Determine whether metadata should be removed based on expiration and idle time data.
`protected boolean`
AbstractDynamicMetadataResolver.`shouldAttemptRefresh(AbstractDynamicMetadataResolver.EntityManagementData mgmtData)`
Determine whether should attempt to refresh the metadata, based on stored refresh trigger time.